<html>

<head>
    <script src="../js/angular.js"></script>
</head>

<body>
    <div ng-app="myApp" w3-test-directive></div>

    <script>
        var app = angular.module("myApp", []);
        app.directive("w3TestDirective", function () {
            return {
                template: "I was made in a directive constructor!"
            };
        });
    </script>

</body>

</html>